Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.view.client
Class SingleSelectionModel<T>

    java.lang.Object
      com.google.gwt.view.client.SelectionModel.AbstractSelectionModel<T>
          com.google.gwt.view.client.SingleSelectionModel<T>

Type Parameters:
  `T` - the record data type

All Implemented Interfaces:
  HasHandlers, ProvidesKey<T>, SelectionChangeEvent.HasSelectionChangedHandlers, SelectionModel<T>

    public class SingleSelectionModel<T>

extends SelectionModel.AbstractSelectionModel<T>

A simple selection model that allows only one object to be selected a a time.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.view.client.SelectionModel
`SelectionModel.AbstractSelectionModel<T>`

Constructor Summary
`SingleSelectionModel()` Constructs a SingleSelectionModel without a key provider.
`SingleSelectionModel(ProvidesKey<T> keyProvider)` Constructs a SingleSelectionModel with the given key provider.

Method Summary
`protected void` | `fireSelectionChangeEvent()` Fire a `SelectionChangeEvent`.
`T` | `getSelectedObject()` Gets the currently-selected object.
`boolean` | `isSelected(T object)` Check if an object is selected.
`void` | `setSelected(T object, boolean selected)` Set the selected state of an object and fire a `SelectionChangeEvent` if the selection has changed.

Methods inherited from class com.google.gwt.view.client.SelectionModel.AbstractSelectionModel
`addSelectionChangeHandler, fireEvent, getKey, getKeyProvider, isEventCancelled, isEventScheduled, scheduleSelectionChangeEvent, setEventCancelled, setEventScheduled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleSelectionModel

    public SingleSelectionModel()

  Constructs a SingleSelectionModel without a key provider.

### SingleSelectionModel

    public SingleSelectionModel(ProvidesKey<T> keyProvider)

  Constructs a SingleSelectionModel with the given key provider.

  Parameters:
    `keyProvider` - an instance of ProvidesKey, or null if the record object should act as its own key

Method Detail

### getSelectedObject

    public T getSelectedObject()

  Gets the currently-selected object.

  Returns:
    the selected object

### isSelected

    public boolean isSelected(T object)

  Description copied from interface: `SelectionModel`
  Check if an object is selected.

  Parameters:
    `object` - the object
  Returns:
    true if selected, false if not

### setSelected

    public void setSelected(T object,
                            boolean selected)

  Description copied from interface: `SelectionModel`
  Set the selected state of an object and fire a `SelectionChangeEvent` if the selection has changed. Subclasses should not fire an event in the case where selected is true and the object was already selected, or selected is false and the object was not previously selected.

  Parameters:
    `object` - the object to select or deselect
    `selected` - true to select, false to deselect

### fireSelectionChangeEvent

    protected void fireSelectionChangeEvent()

  Description copied from class: `SelectionModel.AbstractSelectionModel`
  Fire a `SelectionChangeEvent`. Multiple firings may be coalesced.

  Overrides:
    `fireSelectionChangeEvent` in class `SelectionModel.AbstractSelectionModel<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD